Skip to main content
GET
/
v3
/
alert-rules
/
{alert_id}
Returns Alert Rule for the given id
curl --request GET \
  --url https://{host}/v3/alert-rules/{alert_id} \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "metric": {
      "id": "<string>",
      "display_name": "<string>"
    },
    "evaluation_delay": 123,
    "model": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "version": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "baseline": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "updated_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "is_fiddler_generated": true,
    "feature_names": [
      "<string>"
    ],
    "compare_bin_delta": 123,
    "category": "<string>",
    "auto_threshold_params": {
      "warning_multiplier": 123,
      "critical_multiplier": 123
    },
    "warning_threshold": 123,
    "critical_threshold": 123,
    "enable_notification": true,
    "segment": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "definition": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

alert_id
string<uuid>
required

alert id path parameter

Response

Alert Rule details

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object